<!DOCTYPE html>
<html>
  <head>
    <title>Page Title</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
  </head>
<style>
html,
body {
  height: 100%;
}

body {
  display: flex;
  align-items: center;
  padding-top: 40px;
  padding-bottom: 40px;
  background-color: #f5f5f5;
}

.form-signin {
  max-width: 330px;
  padding: 15px;
}

.form-signin .form-floating:focus-within {
  z-index: 2;
}

.form-signin input[type="email"] {
  margin-bottom: -1px;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
  margin-bottom: 10px;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

</style>

  <body>
    <div class="container">

<div class="text-center">
<main class="form-signin w-100 m-auto">
  <form  method="POST">
    {{ form.hidden_tag() }}
    <img class="mb-4" src="https://www.psu.ac.th/img/logos/psu_th.png" alt="" width="150">
    <h1 class="h3 mb-3 fw-normal">Please sign in</h1>

    <div class="form-floating">
      {{ form.email(class_="form-control") }}
      <label for="floatingInput">Email address</label>
    </div>
    <div class="form-floating">
      {{ form.password(class_="form-control") }}
      <label for="floatingPassword">Password</label>
    </div>

    <div class="form-floating">
      {{ form.first_name(class_="form-control") }}
      <label for="floatingFirstname">Firstname</label>
    </div>

    <div class="form-floating">
      {{ form.last_name(class_="form-control") }}
      <label for="floatingLastName">LastName</label>
    </div>

    <button class="w-100 btn btn-lg btn-primary" type="submit">Register</button>
  </form>
  
  {% if request.args | length > 0 %}
    <div  class="alert alert-danger" role="alert" style="margin-top: 10px;">
      <ul>
      {% for k, v in request.args.items() %}
        <li><b>{{ k }}: </b> {{ v }}</li>
      {% endfor %}
      </ul>
    </div>
  {% endif %}

</main>
</div>

    </div>
  </body>
</html>
